/* StockFormItem ... */
.stock-form-item {
  .field-value {
    color: #c5cbda;
    background-color: rgba(4, 18, 42, 0.1);
    border: 1px solid rgba(61, 90, 133, 0.9);
  }

  .field-label {
    color: #b29a7b;
  }
}

.stock-form-item.form-edit {
  .field-input {
    color: #fff;
    border: 1px solid rgba(147, 147, 147, 0.64);
    background-color: rgba(0, 0, 0, 0);
    &::placeholder {
      color: rgba(0, 0, 0, 0);
    }
    &:focus {
      border: 1px solid #08caf4;
    }
    &:focus ~ .field-label,
    &:not(:placeholder-shown) ~ .field-label {
      color: #08caf4;
    }
  }

  .field-label {
    color: #fff;
  }
}

.stock-form-item.form-error {
  .field-input {
    border: 1px solid #ff6666;
    &:focus {
      border: 1px solid #ff6666;
    }
    &:focus ~ .field-label,
    &:not(:placeholder-shown) ~ .field-label {
      color: #ff6666;
    }
  }

  .field-label {
    color: #ff6666;
  }

  .error-message {
    color: #ff9075;
  }
}
